/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#include <stdio.h>
#include <string.h>
#include <spar/sl_conf.h>
#include <spar/sl_input.h>
#include <spar/sl_writer.h>
#include <spar/sl_util.h>
#include <spar/sl_variable.h>
#include <spar/sl_chartype.h>

int
sl_input_double (const char *msg, double *value)
{
  char line[256];
  double t;

  sl_write ("%s: ", msg);

  if ((scanf ("%s", line)) != EOF)
    goto success;
  else
    goto error;

success:
  if (sl_isnumber (*line))
    sl_string_to_double (line, &t);
  else if (sl_variable_get (line, &t) == SL_ERROR)
    goto error;

  *value = t;

  return SL_SUCCESS;

error:
  sl_writeln ("Error: the input data is not a number, or variable or constant");
  *value = 0.0;
  
  return SL_ERROR;
}
