/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */
#include <stdio.h>
#include <string.h>
#include <spar/sl_conf.h>
#include <spar/sl_input.h>
#include <spar/sl_writer.h>

int
sl_input_identifier (const char *msg, char *identifier)
{
  char line[SL_IDENTIFIER_LENGHT + 1];
  sl_write ("%s: ", msg);

  if ((scanf ("%s", line)) != EOF)
    {
      size_t t = strlen (line);
      if (t >= SL_IDENTIFIER_LENGHT)
	return SL_ERROR;
      else
	{
	  strcpy (identifier, line);
	  return SL_SUCCESS;
	}
    }
  else
    return SL_ERROR;
}


int
sl_input_message (const char *msg, char *message)
{
  char line[SL_MESSAGE_LENGHT + 1];

  sl_write ("%s: ", msg);
  if ((scanf ("%s", line)) != EOF)
    {
      size_t t = strlen (line);
      if (t >= SL_MESSAGE_LENGHT)
	return SL_ERROR;
      else
	{
	  strcpy (message, line);
	  return SL_SUCCESS;
	}
    }
  else
    return SL_ERROR;
}
