/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_btree_h_
#define _sl_btree_h_

#include <spar/sl_conf.h>

struct bt_node_s
{
  sl_identifier (key); 
  sl_message (data); 

  struct bt_node_s *pr; 
  struct bt_node_s *pl;
};

typedef struct bt_node_s sl_bt_node;


__BEGIN_DECLS 

int btdel (char *kin, sl_bt_node *hd);
sl_bt_node *btins (char *kin, sl_bt_node *hd, char *data);
sl_bt_node *btsearch (char *kin, sl_bt_node *hd);

__END_DECLS
#endif /* _sl_btree_h_ */

