/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_complex_h
#define _sl_complex_h

struct complex_s {
	double c[2];
};

typedef struct complex_s sl_complex;

#define SL_COMPLEX_RE(x) 	(x.[0])
#define SL_COMPLEX_IM(x) 	(x.[1])

#define SL_COMPLEX(x,re,im)  	sl_complex (x); \
				SL_COMPLEX_RE(x) = re; \
				SL_COMPLEX_IM(x) = im; 


#include <spar/sl_conf.h>

#endif /* _sl_complex_h_ */
