/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_error_h_
#define _sl_error_h_

#include <spar/sl_errno.h>
/*
 * Default messages prefixs
 */
typedef enum
{
  SL_ERROR_CLASS_PARSER,
  SL_ERROR_CLASS_ERROR,
  SL_ERROR_CLASS_FATAL,
  SL_ERROR_CLASS_WARNING
}
sl_error_class_t;

typedef sl_error_class_t sl_error_class;

__BEGIN_DECLS 

void sl_error_throw (sl_error_class class, sl_error error, const char *fmt,
		     ...);

__END_DECLS

#endif /* _sl_error_h_ */
