/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */
#ifndef _sl_conf_h
#define _sl_conf_h

#undef NULL
#undef __BEGIN_DECLS
#undef __END_DECLS

#ifdef __cplusplus
#define __BEGIN_DECLS extern "C" {
#define __END_DECLS }
#else
#define __BEGIN_DECLS 
#define __END_DECLS 
#endif

/*
 *  NULL
 *
 *  Defines the NULL pointer
 */
#ifdef __cplusplus
#define NULL 0
#else
#define NULL ((void *) 0)
#endif /* __cplusplus */

/*
 *  System infos
 *  package, version, host, features, ...
 */ 
#define PACKAGE 	"spar"
#define MAJOR_VERSION	0
#define MINOR_VERSION	5
#define PATCH_LEVEL	4
#define HOST 		"i586-pc-linux-gnu"
#define STATUS		"stable"

/* Generic return code for all functions */
enum 
{
  SL_SUCCESS = 0,
  SL_ERROR
};

/*
 * This is the max lenght of a identifier. You can change as you wish:
 * use only non-negative values
 */
#define SL_IDENTIFIER_LENGHT       15

/*
 * This is the max lenght of a message. You can change as you wish:
 * use only non-negative values
 */
#define SL_MESSAGE_LENGHT          45 

/*
 * This is the max number of variables (used at run-time). You can change as you * wish: use only non-negative values
 */
#define SL_MAX_VARIABLES           50

/*
 * This is the max number of variables (used at run-time). You can change as you * wish: use only non-negative values
 */
#define SL_MAX_MODULES             20

/*
 * This file contains the path of the modules to load
 */
#define SL_MODULE_CONFIG_FILE      "/usr/local/share/spar/modules_config"

/*
 *  sl_identifier(x)
 *
 *  MACRO: declare a string "x" of lenght SL_IDENTIFIER_LENGHT
 */
#define sl_identifier(x)   char x[SL_IDENTIFIER_LENGHT + 1]

/*
 *  sl_message(x)
 *
 *  MACRO: declare a string "x" of lenght SL_MESSAGE_LENGHT
 */
#define sl_message(x)   char x[SL_MESSAGE_LENGHT + 1]

/*
 *  SL_SYMBOL_NOT_FOUND
 *
 *  Reterned by search function in case of insuccess
 */
#define SL_SYMBOL_NOT_FOUND        -1

#endif /* _sl_conf_h */
