/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#include <spar/sl_table.h>
#include <spar/sl_writer.h>

struct critter
{
  const char *name;
  const char *species;
}
muppets[] =
{
  {
  "Kermit", "frog"}
  ,
  {
  "Piggy", "pig"}
  ,
  {
  "Gonzo", "whatever"}
  ,
  {
  "Fozzie", "bear"}
  ,
  {
  "Sam", "eagle"}
  ,
  {
  "Robin", "frog"}
  ,
  {
  "Animal", "animal"}
  ,
  {
  "Camilla", "chicken"}
  ,
  {
  "Sweetums", "monster"}
  ,
  {
  "Dr. Strangepork", "pig"}
  ,
  {
  "Link Hogthrob", "pig"}
  ,
  {
  "Zoot", "human"}
  ,
  {
  "Dr. Bunsen Honeydew", "human"}
  ,
  {
  "Beaker", "human"}
  ,
  {
  "Swedish Chef", "human"}
};

#define MAX_NAME_LEN 	22
#define MAX_SPECIES_LEN	7

void
critter_print (int index)
{
  /* Prints the element of index "index" */
  sl_write ("%-*s", MAX_NAME_LEN, muppets[index].name);
  sl_write ("%-*s", MAX_SPECIES_LEN, muppets[index].species);
}

int
main (void)
{
  int rc;

  sl_table_column cols[] = {
    {"Name", MAX_NAME_LEN},
    {"Other", MAX_SPECIES_LEN},
    {{0}}
  };

  sl_writeln ("");

  rc =
    sl_table_create ("The Muppets", cols, SL_TABLE_LENGHT (muppets),
		     critter_print);

  return rc;
}
