/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */
#include <spar/sl_conf.h>
#include <spar/sl_chartype.h>

int
sl_isnumber (char c)
{
  return ((c >= '0' && c <= '9') || (c == '.'));
}

int
sl_isalpha (char c)
{
  return ((c >= 'a' && c <= 'z') || (c >= 'A' && c <= 'Z') || (c == '_'));
}


int
sl_isdelim (char c)
{
  switch (c)
    {
    case '+':
    case '-':
    case '*':
    case '/':
    case '%':
    case '(':
    case ')':
    case ',':
    case '=':
    case '^':
      return 1;

    default:
      return 0;
    }
}

int
sl_iscomment (char c)
{
  return ((c == '#'));
}

int
sl_isblank (char c)
{
  return ((c == ' ') || (c == '\t'));
}
