/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */
#ifndef _sl_vartable_h_
#define _sl_vartable_h_

#include <spar/sl_conf.h>

struct variable_s
{
  sl_identifier (name);		/* variable name        */
  sl_message (comment);		/* comment              */
  double value;			/* value                */
  double old_value;		/* old_value            */

  struct variable_s *l;
  struct variable_s *r;
};

typedef struct variable_s sl_variable;

__BEGIN_DECLS
  int sl_variable_comment (const char name[], const char comment[]);
int sl_variable_init (void);
int sl_variable_remove_all (void);
int sl_variable_remove (const char name[]);
int sl_variable_old (const char name[]);
int sl_variable_get (const char name[], double *r);
int sl_variable_set (const char name[], double value);
void sl_variable_print_all (void);

__END_DECLS
#endif /* _sl_vartable_h_ */
