/*
 * Spar - a text frontend for the Spar library
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _cmd_table_h_
#define _cmd_table_h_

#include <spar/sl_conf.h>
#include "commands.h"

/* Commands table entry */
struct cmd_entry
{
  sl_identifier (cmd);		/* command name         */
  sl_message (usage);		/* usage message        */
  sl_message (help);		/* a short command description  */
  command_t fnc;		/* pointer to command function              */
};

extern struct cmd_entry Commands[];

__BEGIN_DECLS 

int check_command (const char[]);
void print_cmd_table (void);

__END_DECLS
#endif /* _cmd_table_h_ */
